package com.zjrs.zwnw.sxgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import com.zjrs.zwnw.sxgl.blo.DictBLO;
import com.zjrs.zwnw.sxgl.bpo.DictBPO;
import com.zjrs.zwnw.sxgl.dto.CllbDTO;
import com.zjrs.zwnw.sxgl.dto.DictDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class DictBPOimpl extends BPOImpl implements DictBPO {
    @Resource
    private DictBLO dictBLO;

    @Override
    public Map<String, List> getDicts(DictDTO dto) {
        return dictBLO.getDicts(dto);
    }

    @Override
    public List<CllbDTO> getCllb(String ssbmmc) {
        return dictBLO.getCllb(ssbmmc);
    }
    @Override
    public List<CllbDTO> getOpers(String ssbmmc) {
        return dictBLO.getOpers(ssbmmc);
    }

}
